Package com.google.protobuf.compiler

# Class PluginProtos

java.lang.Object
com.google.protobuf.compiler.PluginProtos

public final class PluginProtos extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`PluginProtos.CodeGeneratorRequest`
Protobuf type `google.protobuf.compiler.CodeGeneratorRequest`
`static interface`
`PluginProtos.CodeGeneratorRequestOrBuilder`
`static final class`
`PluginProtos.CodeGeneratorResponse`
Protobuf type `google.protobuf.compiler.CodeGeneratorResponse`
`static interface`
`PluginProtos.CodeGeneratorResponseOrBuilder`
`static final class`
`PluginProtos.Version`
Protobuf type `google.protobuf.compiler.Version`
`static interface`
`PluginProtos.VersionOrBuilder`

## Method Summary

Modifier and Type
Method
Description
`static Descriptors.FileDescriptor`
`getDescriptor()`
`static void`
`registerAllExtensions(ExtensionRegistry registry)`
`static void`
`registerAllExtensions(ExtensionRegistryLite registry)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### registerAllExtensions

public static void registerAllExtensions(ExtensionRegistryLite registry)

### registerAllExtensions

public static void registerAllExtensions(ExtensionRegistry registry)

### getDescriptor

public static Descriptors.FileDescriptor getDescriptor()